# QSsl Namespace Reference

### [com.trolltech.qt.network package]

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QSsl prototype object
- PrivateKey
- PublicKey
- KeyType( value )
- Rsa
- Dsa
- KeyAlgorithm( value )
- UnknownProtocol = -1
- SslV3
- SslV2
- TlsV1
- AnyProtocol
- TlsV1SslV3
- SecureProtocols
- SslProtocol( value )
- EmailEntry
- DnsEntry
- AlternateNameEntryType( value )
- Pem
- Der
- EncodingFormat( value )